package com.sckw.slope.detection.dao.mysql;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sckw.slope.detection.model.dos.mysql.KwsAlarmDetail;
import org.apache.ibatis.annotations.Mapper;

@Mapper
@DS("mysql")
public interface KwsAlarmDetailMapper extends BaseMapper<KwsAlarmDetail> {
    int deleteByPrimaryKey(Long id);

    int insertSelective(KwsAlarmDetail record);

    KwsAlarmDetail selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(KwsAlarmDetail record);

    int updateByPrimaryKey(KwsAlarmDetail record);
}